## $Id: pages.py 17696 2024-02-08 09:39:23Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
import grok
from waeup.kofa.browser.pages import (
    SessionConfigurationAddFormPage, SessionConfigurationManageFormPage,
    LoginPage, CertificatePage, CertificateManageFormPage,
    DatacenterImportStep2)
from waeup.kofa.university.interfaces import ICertificate
from kofacustom.unidel.interfaces import (
    ICustomSessionConfiguration, ICustomSessionConfigurationAdd)

class CustomSessionConfigurationAddFormPage(SessionConfigurationAddFormPage):
    """Add a session configuration object to configuration container.
    """
    form_fields = grok.AutoFields(ICustomSessionConfigurationAdd)

class CustomSessionConfigurationManageFormPage(SessionConfigurationManageFormPage):
    """Manage session configuration object.
    """
    form_fields = grok.AutoFields(ICustomSessionConfiguration)

class CustomDatacenterImportStep2(DatacenterImportStep2):
    """Manual import step 2: choose processor
    """
    @property
    def show_remove_button(self):
        return self.request.principal.id in (
            'admin', 'zope.manager', 'zope.mgr',
            'Abraham', 'jite')

class CustomCertificatePage(CertificatePage):
    """Index page for certificates.
    """
    form_fields = grok.AutoFields(ICertificate).omit(
        'custom_float_1',
        'custom_float_2',
        #'school_fee_1',
        #'school_fee_2',
        'school_fee_3',
        'school_fee_4',
        'custom_textline_1',
        'custom_textline_2',
        )

